Problème avec Java 8

Ici on discute des ressources informatiques pour le jeu de Go. Logiciels pour jouer, pour créer des diagrammes, pour tirer les rondes, etc. Et aussi, on peut lister les ressources en graphisme (artworks, logos, images, etc.).
Répondre
Henri T.
Messages : 4
Enregistré le : lun. 9 juil. 2012 15:03
Club : Go Club Lyon Shinogi
Niveau : 7 sur KGS

Problème avec Java 8

Message par Henri T. » ven. 10 juin 2016 14:22

Bonjour,
Depuis que j'ai mis à jour Java (8), je ne peux plus accéder à CGoban, l’application est bloquée par la sécurité de Java.
Et dans le panneau de configuration de Java, onglet "sécurité", je ne peux pas autoriser l'application CGoban en "modifiant la liste ..." car la touche est grisée ! Que faire ?
Merci
Henri

Pio2001
Messages : 163
Enregistré le : sam. 28 sept. 2013 17:45
Club : Lyon Shinogi
Niveau : 9 Kyu
Pseudo KGS/IGS : Pio2001

Re: Problème avec Java 8

Message par Pio2001 » sam. 11 juin 2016 15:14

Bonjour,
C'est un problème connu. Je ne sais plus quelle est la manipulation à effectuer, mais regarde si pour pouvoir accéder à la liste des applications autorisées par Java, il ne faudrait pas, dans les options Java, baisser le niveau général de sécurité.

Henri T.
Messages : 4
Enregistré le : lun. 9 juil. 2012 15:03
Club : Go Club Lyon Shinogi
Niveau : 7 sur KGS

Re: Problème avec Java 8

Message par Henri T. » dim. 12 juin 2016 10:17

Merci pour le retour Pio.
Avec Java 7, il y avait 3 niveaux de sécurité, en supprimant l'un des 3 on pouvait résoudre le problème. Avec Java 8, il n'y a plus que 2 niveaux et soit l'un soit l'autre, ça bloque quand même ! Il faudrait aller dans l'onglet "avancé" de la configuration de Java mais je ne sais pas quel coche cocher ou décocher !

Pio2001
Messages : 163
Enregistré le : sam. 28 sept. 2013 17:45
Club : Lyon Shinogi
Niveau : 9 Kyu
Pseudo KGS/IGS : Pio2001

Re: Problème avec Java 8

Message par Pio2001 » dim. 12 juin 2016 14:06

Alors je ne peux pas t'aider davantage. Je n'ai pas Java 8. Je pense que le mieux est de réinstaller le 7. Le 8 est un désastre.

Sur mon ordi perso, je n'ai aucun Java de chez Oracle. Linux Mint inclut en standard un Java libre alternatif.

Henri T.
Messages : 4
Enregistré le : lun. 9 juil. 2012 15:03
Club : Go Club Lyon Shinogi
Niveau : 7 sur KGS

Re: Problème avec Java 8

Message par Henri T. » dim. 12 juin 2016 18:10

Pio2001 a écrit :Alors je ne peux pas t'aider davantage. Je n'ai pas Java 8. Je pense que le mieux est de réinstaller le 7. Le 8 est un désastre.
Merci d'avoir essayé ! : )

CaptainVinh
Messages : 4
Enregistré le : lun. 5 sept. 2016 10:31
Club : 31TI
Niveau : -2950
Pseudo KGS/IGS : CVINH

Re: Problème avec Java 8

Message par CaptainVinh » lun. 5 sept. 2016 10:43

Oui, apparemment la version 8 pose problèmes à beaucoup de personnes

bouquetf
Messages : 2
Enregistré le : lun. 29 août 2016 12:08
Niveau : ?
Pseudo KGS/IGS : bouquetf

Re: Problème avec Java 8

Message par bouquetf » jeu. 13 oct. 2016 15:56

Salut,

Est-ce que le problème est toujours d'actualité ?
A priori, http://www.gokgs.com/ propose un téléchargement en .exe qui peut installer cgoban et corrige le soucis de sécurité. Sinon, il est possible de télécharger "Raw Jar File" et le lancer directement avec java (sous windows, double click, puis sélectionner le cas échéant Java).

Le problème de lancement est en fait un faux problème. En java 7, beaucoup de failles de sécurité ont été reportés sur les applets (fonctionnalité assez peu utilisée ces derniers temps mais toujours activée). Avec Java 8, la fonctionnalité est désactivée par défaut et comme Cgoban était exécuté par défaut sous forme d'applet, il ne fonctionnait plus sans quelques tour de passe passe.

Attention, Java 9 va changer pas mal de choses dans ses internes et casse pas mal d'applis, donc attendez un peu à sa sortie avant de mettre à jour ;)

Cheers

Clarice
Messages : 14
Enregistré le : mar. 14 mars 2017 14:19
Niveau : Débutant

Re: Problème avec Java 8

Message par Clarice » mar. 28 mars 2017 08:57

Bonjour,

ça marche chez moi mais après avoir installé le fichier que j'ai trouvé sur ce forum et en ayant désactivé au maximum la sécurité Java, en attendant que sorte Java 9 ...

Répondre